diff --git a/main/java/BitsNPicas/Makefile b/main/java/BitsNPicas/Makefile
index d339248..3955afc 100644
--- a/main/java/BitsNPicas/Makefile
+++ b/main/java/BitsNPicas/Makefile
@@ -48,47 +48,16 @@ BitsNPicas.jar: bin
 	jar cmf dep/MANIFEST.MF BitsNPicas.jar -C bin com/kreative/unicode -C bin com/kreative/bitsnpicas
 	chmod +x BitsNPicas.jar
 
-BitsNPicas.app: BitsNPicas-Pre10.15.app BitsNPicas-MacOS10.15.app BitsNPicas-MacOS11.0.app
+BitsNPicas.app: BitsNPicas-Pre10.15.app
 
 BitsNPicas-Pre10.15.app: dep BitsNPicas.jar
-	mkdir -p BitsNPicas-Pre10.15.app/Contents/MacOS
 	mkdir -p BitsNPicas-Pre10.15.app/Contents/Resources/Java
 	cp -f dep/PkgInfo BitsNPicas-Pre10.15.app/Contents
 	cp -f dep/Info.plist BitsNPicas-Pre10.15.app/Contents
-	cp -f dep/universalJavaApplicationStub-Pre10.15 BitsNPicas-Pre10.15.app/Contents/MacOS/BitsNPicas
 	cp -f dep/kbnp*.icns dep/dmov*.icns dep/movr*.icns BitsNPicas-Pre10.15.app/Contents/Resources
 	cp -f dep/*.jar BitsNPicas-Pre10.15.app/Contents/Resources/Java
 	cp -f BitsNPicas.jar BitsNPicas-Pre10.15.app/Contents/Resources/Java
 
-BitsNPicas-MacOS10.15.app: dep BitsNPicas.jar
-	mkdir -p BitsNPicas-MacOS10.15.app/Contents/MacOS
-	mkdir -p BitsNPicas-MacOS10.15.app/Contents/Resources/Java
-	cp -f dep/PkgInfo BitsNPicas-MacOS10.15.app/Contents
-	cp -f dep/Info.plist BitsNPicas-MacOS10.15.app/Contents
-	cp -f dep/universalJavaApplicationStub-MacOS10.15 BitsNPicas-MacOS10.15.app/Contents/MacOS/BitsNPicas
-	cp -f dep/kbnp*.icns dep/dmov*.icns dep/movr*.icns BitsNPicas-MacOS10.15.app/Contents/Resources
-	cp -f dep/*.jar BitsNPicas-MacOS10.15.app/Contents/Resources/Java
-	cp -f BitsNPicas.jar BitsNPicas-MacOS10.15.app/Contents/Resources/Java
-
-BitsNPicas-MacOS11.0.app: dep BitsNPicas.jar
-	mkdir -p BitsNPicas-MacOS11.0.app/Contents/MacOS
-	mkdir -p BitsNPicas-MacOS11.0.app/Contents/Resources/Java
-	cp -f dep/PkgInfo BitsNPicas-MacOS11.0.app/Contents
-	cp -f dep/Info.plist BitsNPicas-MacOS11.0.app/Contents
-	cp -f dep/universalJavaApplicationStub-MacOS11.0 BitsNPicas-MacOS11.0.app/Contents/MacOS/BitsNPicas
-	cp -f dep/kbnp*.icns dep/dmov*.icns dep/movr*.icns BitsNPicas-MacOS11.0.app/Contents/Resources
-	cp -f dep/*.jar BitsNPicas-MacOS11.0.app/Contents/Resources/Java
-	cp -f BitsNPicas.jar BitsNPicas-MacOS11.0.app/Contents/Resources/Java
-
-BitsNPicas.dmg: BitsNPicas.app
-	mkdir -p dmgtmp
-	cp -R BitsNPicas-Pre10.15.app dmgtmp
-	cp -R BitsNPicas-MacOS10.15.app dmgtmp
-	cp -R BitsNPicas-MacOS11.0.app dmgtmp
-	cp BitsNPicas.jar dmgtmp
-	hdiutil create -fs HFS+ -volname "Bits'n'Picas" -srcfolder dmgtmp BitsNPicas.dmg
-	rm -rf dmgtmp
-
 BitsNPicas-src.tgz: src
 	export COPYFILE_DISABLE=true
 	find src -name .DS_Store -delete
@@ -100,47 +69,16 @@ MapEdit.jar: bin
 	jar cmf dep/MANIFEST-ME.MF MapEdit.jar -C bin com/kreative/unicode -C bin com/kreative/mapedit
 	chmod +x MapEdit.jar
 
-MapEdit.app: MapEdit-Pre10.15.app MapEdit-MacOS10.15.app MapEdit-MacOS11.0.app
+MapEdit.app: MapEdit-Pre10.15.app
 
 MapEdit-Pre10.15.app: dep MapEdit.jar
-	mkdir -p MapEdit-Pre10.15.app/Contents/MacOS
 	mkdir -p MapEdit-Pre10.15.app/Contents/Resources/Java
 	cp -f dep/PkgInfo-ME MapEdit-Pre10.15.app/Contents/PkgInfo
 	cp -f dep/Info-ME.plist MapEdit-Pre10.15.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-Pre10.15 MapEdit-Pre10.15.app/Contents/MacOS/MapEdit
 	cp -f dep/mapedit*.icns MapEdit-Pre10.15.app/Contents/Resources
 	cp -f dep/ual.jar MapEdit-Pre10.15.app/Contents/Resources/Java
 	cp -f MapEdit.jar MapEdit-Pre10.15.app/Contents/Resources/Java
 
-MapEdit-MacOS10.15.app: dep MapEdit.jar
-	mkdir -p MapEdit-MacOS10.15.app/Contents/MacOS
-	mkdir -p MapEdit-MacOS10.15.app/Contents/Resources/Java
-	cp -f dep/PkgInfo-ME MapEdit-MacOS10.15.app/Contents/PkgInfo
-	cp -f dep/Info-ME.plist MapEdit-MacOS10.15.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-MacOS10.15 MapEdit-MacOS10.15.app/Contents/MacOS/MapEdit
-	cp -f dep/mapedit*.icns MapEdit-MacOS10.15.app/Contents/Resources
-	cp -f dep/ual.jar MapEdit-MacOS10.15.app/Contents/Resources/Java
-	cp -f MapEdit.jar MapEdit-MacOS10.15.app/Contents/Resources/Java
-
-MapEdit-MacOS11.0.app: dep MapEdit.jar
-	mkdir -p MapEdit-MacOS11.0.app/Contents/MacOS
-	mkdir -p MapEdit-MacOS11.0.app/Contents/Resources/Java
-	cp -f dep/PkgInfo-ME MapEdit-MacOS11.0.app/Contents/PkgInfo
-	cp -f dep/Info-ME.plist MapEdit-MacOS11.0.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-MacOS11.0 MapEdit-MacOS11.0.app/Contents/MacOS/MapEdit
-	cp -f dep/mapedit*.icns MapEdit-MacOS11.0.app/Contents/Resources
-	cp -f dep/ual.jar MapEdit-MacOS11.0.app/Contents/Resources/Java
-	cp -f MapEdit.jar MapEdit-MacOS11.0.app/Contents/Resources/Java
-
-MapEdit.dmg: MapEdit.app
-	mkdir -p dmgtmp
-	cp -R MapEdit-Pre10.15.app dmgtmp
-	cp -R MapEdit-MacOS10.15.app dmgtmp
-	cp -R MapEdit-MacOS11.0.app dmgtmp
-	cp MapEdit.jar dmgtmp
-	hdiutil create -fs HFS+ -volname "MapEdit" -srcfolder dmgtmp MapEdit.dmg
-	rm -rf dmgtmp
-
 MapEdit-src.tgz: src
 	export COPYFILE_DISABLE=true
 	find src -name .DS_Store -delete
@@ -152,47 +90,16 @@ KeyEdit.jar: bin
 	jar cmf dep/MANIFEST-KE.MF KeyEdit.jar -C bin com/kreative/unicode -C bin com/kreative/keyedit
 	chmod +x KeyEdit.jar
 
-KeyEdit.app: KeyEdit-Pre10.15.app KeyEdit-MacOS10.15.app KeyEdit-MacOS11.0.app
+KeyEdit.app: KeyEdit-Pre10.15.app
 
 KeyEdit-Pre10.15.app: dep KeyEdit.jar
-	mkdir -p KeyEdit-Pre10.15.app/Contents/MacOS
 	mkdir -p KeyEdit-Pre10.15.app/Contents/Resources/Java
 	cp -f dep/PkgInfo-KE KeyEdit-Pre10.15.app/Contents/PkgInfo
 	cp -f dep/Info-KE.plist KeyEdit-Pre10.15.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-Pre10.15 KeyEdit-Pre10.15.app/Contents/MacOS/KeyEdit
 	cp -f dep/keyedit*.icns KeyEdit-Pre10.15.app/Contents/Resources
 	cp -f dep/ual.jar KeyEdit-Pre10.15.app/Contents/Resources/Java
 	cp -f KeyEdit.jar KeyEdit-Pre10.15.app/Contents/Resources/Java
 
-KeyEdit-MacOS10.15.app: dep KeyEdit.jar
-	mkdir -p KeyEdit-MacOS10.15.app/Contents/MacOS
-	mkdir -p KeyEdit-MacOS10.15.app/Contents/Resources/Java
-	cp -f dep/PkgInfo-KE KeyEdit-MacOS10.15.app/Contents/PkgInfo
-	cp -f dep/Info-KE.plist KeyEdit-MacOS10.15.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-MacOS10.15 KeyEdit-MacOS10.15.app/Contents/MacOS/KeyEdit
-	cp -f dep/keyedit*.icns KeyEdit-MacOS10.15.app/Contents/Resources
-	cp -f dep/ual.jar KeyEdit-MacOS10.15.app/Contents/Resources/Java
-	cp -f KeyEdit.jar KeyEdit-MacOS10.15.app/Contents/Resources/Java
-
-KeyEdit-MacOS11.0.app: dep KeyEdit.jar
-	mkdir -p KeyEdit-MacOS11.0.app/Contents/MacOS
-	mkdir -p KeyEdit-MacOS11.0.app/Contents/Resources/Java
-	cp -f dep/PkgInfo-KE KeyEdit-MacOS11.0.app/Contents/PkgInfo
-	cp -f dep/Info-KE.plist KeyEdit-MacOS11.0.app/Contents/Info.plist
-	cp -f dep/universalJavaApplicationStub-MacOS11.0 KeyEdit-MacOS11.0.app/Contents/MacOS/KeyEdit
-	cp -f dep/keyedit*.icns KeyEdit-MacOS11.0.app/Contents/Resources
-	cp -f dep/ual.jar KeyEdit-MacOS11.0.app/Contents/Resources/Java
-	cp -f KeyEdit.jar KeyEdit-MacOS11.0.app/Contents/Resources/Java
-
-KeyEdit.dmg: KeyEdit.app
-	mkdir -p dmgtmp
-	cp -R KeyEdit-Pre10.15.app dmgtmp
-	cp -R KeyEdit-MacOS10.15.app dmgtmp
-	cp -R KeyEdit-MacOS11.0.app dmgtmp
-	cp KeyEdit.jar dmgtmp
-	hdiutil create -fs HFS+ -volname "KeyEdit" -srcfolder dmgtmp KeyEdit.dmg
-	rm -rf dmgtmp
-
 KeyEdit-src.tgz: src
 	export COPYFILE_DISABLE=true
 	find src -name .DS_Store -delete
diff --git a/main/java/BitsNPicas/src/com/kreative/bitsnpicas/edit/glmlicon/index.txt b/main/java/BitsNPicas/src/com/kreative/bitsnpicas/edit/glmlicon/index.txt
index 47c4538..531000b 100644
--- a/main/java/BitsNPicas/src/com/kreative/bitsnpicas/edit/glmlicon/index.txt
+++ b/main/java/BitsNPicas/src/com/kreative/bitsnpicas/edit/glmlicon/index.txt
@@ -541,7 +541,6 @@ pfponab.png     pua         Sitelen Pona Presentation Forms-B
 pfponac.png     pua         Sitelen Pona Presentation Forms-C
 pfteng.png      pua         Tengwar Presentation Forms
 kreative.png    glyphlist   Kreative Glyph List 1
-windows.png     glyphlist   Windows Glyph List 4
 atarist.png     encoding    Atari ST
 atarist.png     encoding    Atari ST (interchange)
 atarist.png     encoding    Atari ST (video)
@@ -561,50 +560,6 @@ speccy.png      encoding    FZX SuperLatin
 gb.png          encoding    GB18030
 gb.png          encoding    GB2312
 gb.png          encoding    GBK
-ibm.png         encoding    IBM-Thai
-ibm.png         encoding    IBM037
-ibm.png         encoding    IBM273
-ibm.png         encoding    IBM277
-ibm.png         encoding    IBM278
-ibm.png         encoding    IBM280
-ibm.png         encoding    IBM284
-ibm.png         encoding    IBM285
-ibm.png         encoding    IBM290
-ibm.png         encoding    IBM297
-ibm.png         encoding    IBM420
-ibm.png         encoding    IBM424
-ibm.png         encoding    IBM437
-ibm.png         encoding    IBM500
-ibm.png         encoding    IBM775
-ibm.png         encoding    IBM850
-ibm.png         encoding    IBM852
-ibm.png         encoding    IBM855
-ibm.png         encoding    IBM857
-ibm.png         encoding    IBM00858
-ibm.png         encoding    IBM860
-ibm.png         encoding    IBM861
-ibm.png         encoding    IBM862
-ibm.png         encoding    IBM863
-ibm.png         encoding    IBM864
-ibm.png         encoding    IBM865
-ibm.png         encoding    IBM866
-ibm.png         encoding    IBM868
-ibm.png         encoding    IBM869
-ibm.png         encoding    IBM870
-ibm.png         encoding    IBM871
-ibm.png         encoding    IBM918
-ibm.png         encoding    IBM1026
-ibm.png         encoding    IBM1047
-ibm.png         encoding    IBM01140
-ibm.png         encoding    IBM01141
-ibm.png         encoding    IBM01142
-ibm.png         encoding    IBM01143
-ibm.png         encoding    IBM01144
-ibm.png         encoding    IBM01145
-ibm.png         encoding    IBM01146
-ibm.png         encoding    IBM01147
-ibm.png         encoding    IBM01148
-ibm.png         encoding    IBM01149
 iso.png         encoding    ISO-2022-CN
 iso.png         encoding    ISO-2022-JP
 iso.png         encoding    ISO-2022-JP-2
@@ -637,28 +592,6 @@ kreative.png    encoding    Kreative SuperMultinational
 kreative.png    encoding    Kreative SuperMultinational C0
 kreative.png    encoding    Kreative SuperRoman
 kreative.png    encoding    Kreative SuperRoman C0
-macos.png       encoding    MacArabic
-macos.png       encoding    MacCeltic
-macos.png       encoding    MacCentralEurope
-macos.png       encoding    MacCentralEuropean
-macos.png       encoding    MacCroatian
-macos.png       encoding    MacCyrillic
-macos.png       encoding    MacDingbat
-macos.png       encoding    MacDingbats
-macos.png       encoding    MacGaelic
-macos.png       encoding    MacGreek
-macos.png       encoding    MacHebrew
-macos.png       encoding    MacIceland
-macos.png       encoding    MacIcelandic
-macos.png       encoding    MacInuit
-macos.png       encoding    MacRoman
-macos.png       encoding    MacRomania
-macos.png       encoding    MacRomanian
-macos.png       encoding    MacSymbol
-macos.png       encoding    MacThai
-macos.png       encoding    MacTurkish
-macos.png       encoding    MacUkraine
-macos.png       encoding    MacVT100
 jis.png         encoding    Shift_JIS
 tis.png         encoding    TIS-620
 apple2.png      encoding    U8/M Apple II
@@ -675,16 +608,6 @@ unicode.png     encoding    UTF-16LE
 unicode.png     encoding    UTF-32
 unicode.png     encoding    UTF-32BE
 unicode.png     encoding    UTF-32LE
-windows.png     encoding    windows-31j
-windows.png     encoding    windows-1250
-windows.png     encoding    windows-1251
-windows.png     encoding    windows-1252
-windows.png     encoding    windows-1253
-windows.png     encoding    windows-1254
-windows.png     encoding    windows-1255
-windows.png     encoding    windows-1256
-windows.png     encoding    windows-1257
-windows.png     encoding    windows-1258
 apple2.png      encoding    x-apple2
 apple2.png      encoding    x-apple2e
 apple2.png      encoding    x-apple2e-emoji
@@ -708,46 +631,6 @@ cybiko.png      encoding    x-cybiko
 jis.png         encoding    x-euc-jp-linux
 jis.png         encoding    x-eucJP-Open
 big5.png        encoding    x-EUC-TW
-ibm.png         encoding    x-IBM300
-ibm.png         encoding    x-IBM737
-ibm.png         encoding    x-IBM833
-ibm.png         encoding    x-IBM834
-ibm.png         encoding    x-IBM856
-ibm.png         encoding    x-IBM874
-ibm.png         encoding    x-IBM875
-ibm.png         encoding    x-IBM921
-ibm.png         encoding    x-IBM922
-ibm.png         encoding    x-IBM930
-ibm.png         encoding    x-IBM933
-ibm.png         encoding    x-IBM935
-ibm.png         encoding    x-IBM937
-ibm.png         encoding    x-IBM939
-ibm.png         encoding    x-IBM942
-ibm.png         encoding    x-IBM942C
-ibm.png         encoding    x-IBM943
-ibm.png         encoding    x-IBM943C
-ibm.png         encoding    x-IBM948
-ibm.png         encoding    x-IBM949
-ibm.png         encoding    x-IBM949C
-ibm.png         encoding    x-IBM950
-ibm.png         encoding    x-IBM964
-ibm.png         encoding    x-IBM970
-ibm.png         encoding    x-IBM1006
-ibm.png         encoding    x-IBM1025
-ibm.png         encoding    x-IBM1046
-ibm.png         encoding    x-IBM1097
-ibm.png         encoding    x-IBM1098
-ibm.png         encoding    x-IBM1112
-ibm.png         encoding    x-IBM1122
-ibm.png         encoding    x-IBM1123
-ibm.png         encoding    x-IBM1124
-ibm.png         encoding    x-IBM1129
-ibm.png         encoding    x-IBM1166
-ibm.png         encoding    x-IBM1364
-ibm.png         encoding    x-IBM1381
-ibm.png         encoding    x-IBM1383
-ibm.png         encoding    x-IBM29626C
-ibm.png         encoding    x-IBM33722
 iscii.png       encoding    x-ISCII91
 iso.png         encoding    x-ISO-2022-CN-CNS
 iso.png         encoding    x-ISO-2022-CN-GB
@@ -779,32 +662,6 @@ kreative.png    encoding    X-KK-SuperMultinational-C0
 kreative.png    encoding    X-KK-SuperRoman
 kreative.png    encoding    X-KK-SuperRoman-C0
 petscii.png     encoding    x-latin9p-video
-macos.png       encoding    x-MacArabic
-macos.png       encoding    x-MacCeltic
-macos.png       encoding    x-MacCentralEurope
-macos.png       encoding    x-MacCentralEuropean
-macos.png       encoding    x-MacCroatian
-macos.png       encoding    x-MacCyrillic
-macos.png       encoding    x-MacDingbat
-macos.png       encoding    x-MacDingbats
-macos.png       encoding    x-MacGaelic
-macos.png       encoding    x-MacGreek
-macos.png       encoding    x-MacHebrew
-macos.png       encoding    x-MacIceland
-macos.png       encoding    x-MacIcelandic
-macos.png       encoding    x-MacInuit
-macos.png       encoding    x-MacRoman
-macos.png       encoding    x-MacRomania
-macos.png       encoding    x-MacRomanian
-macos.png       encoding    x-MacSymbol
-macos.png       encoding    x-MacThai
-macos.png       encoding    x-MacTurkish
-macos.png       encoding    x-MacUkraine
-macos.png       encoding    x-MacVT100
-windows.png     encoding    x-MS932_0213
-windows.png     encoding    x-MS950-HKSCS
-windows.png     encoding    x-MS950-HKSCS-XP
-windows.png     encoding    x-mswin-936
 jis.png         encoding    x-PCK
 petscii.png     encoding    x-petscii
 petscii.png     encoding    x-petscii-alt
@@ -820,14 +677,6 @@ unicode.png     encoding    x-UTF-16BE-BOM
 unicode.png     encoding    x-UTF-16LE-BOM
 unicode.png     encoding    x-UTF-32BE-BOM
 unicode.png     encoding    x-UTF-32LE-BOM
-windows.png     encoding    x-windows-874
-windows.png     encoding    x-windows-949
-windows.png     encoding    x-windows-950
-windows.png     encoding    x-windows-50220
-windows.png     encoding    x-windows-50221
-windows.png     encoding    x-windows-iso2022cn
-windows.png     encoding    x-windows-iso2022jp
-windows.png     encoding    x-windows-iso2022kr
 zx8x.png        encoding    x-zx80
 zx8x.png        encoding    x-zx81
 speccy.png      encoding    x-zxspectrum
diff --git a/main/java/BitsNPicas/src/com/kreative/unicode/mappings/BOM.txt b/main/java/BitsNPicas/src/com/kreative/unicode/mappings/BOM.txt
index 7d8bbcc..e730d1b 100644
--- a/main/java/BitsNPicas/src/com/kreative/unicode/mappings/BOM.txt
+++ b/main/java/BitsNPicas/src/com/kreative/unicode/mappings/BOM.txt
@@ -6,26 +6,6 @@ FZXLatin5.txt
 FZXLatin9.txt
 FZXPUA.txt
 FZXSuperLatin.txt
-IBM00037.txt
-IBM00437.txt
-IBM00500.txt
-IBM00737.txt
-IBM00775.txt
-IBM00850.txt
-IBM00852.txt
-IBM00855.txt
-IBM00857.txt
-IBM00860.txt
-IBM00861.txt
-IBM00862.txt
-IBM00863.txt
-IBM00864.txt
-IBM00865.txt
-IBM00866.txt
-IBM00869.txt
-IBM00874.txt
-IBM00875.txt
-IBM01026.txt
 ISO885901.txt
 ISO885902.txt
 ISO885903.txt
@@ -47,31 +27,9 @@ KKSuperLatin.txt
 KKSuperLatinC0.txt
 KKSuperRoman.txt
 KKSuperRomanC0.txt
-MacCeltic.txt
-MacCentralEuropean.txt
-MacCroatian.txt
-MacCyrillic.txt
-MacDingbats.txt
-MacGaelic.txt
-MacGreek.txt
-MacIcelandic.txt
-MacInuit.txt
-MacRoman.txt
-MacRomanian.txt
-MacTurkish.txt
-MacVT100.txt
 U8MAppleII.txt
 U8MAtariST.txt
 U8MATASCII.txt
 U8MPETSCII.txt
 U8MRISCOS.txt
 U8MSpectrum.txt
-Windows1250.txt
-Windows1251.txt
-Windows1252.txt
-Windows1253.txt
-Windows1254.txt
-Windows1255.txt
-Windows1256.txt
-Windows1257.txt
-Windows1258.txt
\ No newline at end of file
